\begin{lstlisting}[language=json,firstnumber=1,escapeinside=``,caption={Example JSON metadata.},captionpos=b,label={lst:json_header}]
{
  "keyslots":{
    "0":{
      "type":"luks2",
      "key_size":64,
      "af":{
        "type":"luks1",
        "stripes":4000,
        "hash":"sha256"
      },
      "area":{
        "type":"raw",
        "offset":"32768",
        "size":"258048",
        "encryption":"aes-xts-plain64",
        "key_size":64
      },
      "kdf":{
        "type":"argon2id",
        "time":6,
        "memory":1048576,
        "cpus":4,
        "salt":"kMgps0VSPQ ... joGFvOPg="
      }
    },
    "1":{
      "type":"luks2",
      "key_size":64,
      "af":{
        "type":"luks1",
        "stripes":4000,
        "hash":"sha512"
      },
      "area":{
        "type":"raw",
        "offset":"290816",
        "size":"258048",
        "encryption":"aes-xts-plain64",
        "key_size":64
      },
      "kdf":{
        "type":"pbkdf2",
        "hash":"sha512",
        "iterations":1000,
        "salt":"+uIeiMMiB ... JiAbc8RnM="
      }
    }
  },
  "tokens":{
    "0":{
      "type":"systemd-tpm2",
      "keyslots":[ "1" ],
      "tpm2-blob":"AH4AIHv0et ... n2RujZNCGZbDxg==",
      "tpm2-pcrs":[ 7 ],
      "tpm2-policy-hash":"3c948135e36372 ... c92f3a974c"
    }
  },
  "segments":{
    "0":{
      "type":"crypt",
      "offset":"16777216",
      "size":"dynamic",
      "iv_tweak":"0",
      "encryption":"aes-xts-plain64",
      "sector_size":4096
    }
  },
  "digests":{
    "0":{
      "type":"pbkdf2",
      "keyslots":[ "0", "1" ],
      "segments":[ "0" ],
      "hash":"sha256",
      "iterations":107967,
      "salt":"lodS1KP ... VLnbGRcgv90=",
      "digest":"v8MfPc+D ... vQJ6XM+kcA="
    }
  },
  "config":{
    "json_size":"12288",
    "keyslots_size":"16744448"
  }
}
\end{lstlisting}
